//********************************************
//
//	bata3dm1.shader for Q3 by nPOBoKaTOP
//	"The Green Mars"
//	Map on the Mapping Competition #2 for Quake 3 Arena
//	e-mail : andrei-df[a]mail[dot]ru
//
//*******************************************
//


//**********************************
//		rock
//**********************************
textures/bata3dm1/rock02plants
{
	qer_editorimage textures/bata3dm1/rock02plants.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_splotchfix
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bata3dm1/rock02plants.tga
		blendFunc filter
	}
}

textures/bata3dm1/rock2mossbrick_phong
{
	qer_editorimage textures/bata3dm1/rock2mossbrick.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_splotchfix
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bata3dm1/rock2mossbrick.tga
		blendFunc filter
	}
}
//**********************************
//		waterfall
//**********************************
textures/bata3dm1/waterfall
{
	surfaceparm water
	cull disable
	deformVertexes wave 50 sin 0 1 0 1.5 
	{
		map textures/bata3dm1/waterfall.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -1.5
		alphaGen Vertex
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/bata3dm1/water1a
{
	qer_editorimage textures/bata3dm1/water1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nomipmaps
	{
		map textures/bata3dm1/water1.tga
		blendfunc add
		rgbGen wave sawtooth 0.75 0.5 0.6 1.2 
		tcMod stretch inversesawtooth 1.2 -0.4 0.6 1.9 
	}
	{
		map textures/bata3dm1/water1_1.tga
		blendfunc add
		rgbGen wave sawtooth 0.75 0.5 0.2 1.6 
		tcMod stretch sawtooth 1 0.9 0.5 1.5 
	}
}

textures/bata3dm1/water1b
{
	qer_editorimage textures/bata3dm1/water1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nomipmaps
	{
		map textures/bata3dm1/water1.tga
		blendfunc add
		tcMod stretch inversesawtooth 1.25 -0.125 -0.2 2.5 
	}
}

textures/bata3dm1/water1c
{
	qer_editorimage textures/bata3dm1/water1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nomipmaps
	{
		map textures/bata3dm1/water1_1.tga
		blendfunc add
		rgbGen wave sawtooth 0.8 0.5 0.2 1.3 
		tcMod stretch inversesawtooth 1.7 -0.5 0.7 3 
	}
	{
		map textures/bata3dm1/water1.tga
		blendfunc add
		rgbGen wave sawtooth 1 0.1 0.6 1 
		tcMod stretch inversesawtooth 1.3 -0.2 0 1.9 
	}
}

//**********************************
//	jumppad
//**********************************
textures/bata3dm1/bata3dm1_floor6
{
	qer_editorimage textures/bata3dm1/bata3dm1_jp.tga
	{
		map textures/bata3dm1/bata3dm1_jp2.tga
		tcMod rotate 180
		tcMod stretch sin 0.8 0.1 0 0.5 
	}
	{
		clampmap textures/bata3dm1/bata3dm1_jp1.tga
		blendfunc add
		rgbGen identity
		tcMod stretch sin 2.5 1 0 1.5 
	}
	{
		map textures/bata3dm1/bata3dm1_jp.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
//**********************************
//	sup
//**********************************
textures/bata3dm1/bata3dm1_x_sup
{
	surfaceparm	metalsteps	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/bata3dm1/bata3dm1_x_sup.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//**********************************
//	fans
//**********************************
textures/bata3dm1/bata3dm1_fan
{
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/bata3dm1/bata3dm1_fan.tga
		tcMod rotate 256 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bata3dm1/bata3dm1_fan_old
{
	qer_editorimage textures/bata3dm1/bata3dm1_fan.tga
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/bata3dm1/bata3dm1_fan.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bata3dm1/bata3dm1_fan3
{
       cull disable
       surfaceparm alphashadow	
       sort 6
        {
	        map textures/bata3dm1/bata3dm1_fan3.tga
		blendFunc blend
	        rgbGen identity
	}
        
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/bata3dm1/bata3dm1_fan3bladeb
{
      cull disable
      surfaceparm trans	
      surfaceparm nolightmap
      sort 5
        {
	        clampmap textures/bata3dm1/bata3dm1_fan3bladeb.tga
                blendFunc blend
                tcmod rotate 999
	        rgbGen identity
	}
        
}

textures/bata3dm1/bata3dm1_fan_grate
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm metalsteps	
	cull none
        nopicmip
	{
		map textures/bata3dm1/bata3dm1_fan_grate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bata3dm1/bata3dm1_fan_grate2
{
	qer_editorimage textures/bata3dm1/bata3dm1_fan_grate.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm metalsteps	
	cull none
        nopicmip
        {
	        map textures/bata3dm1/bata3dm1_fan.tga
                blendFunc blend
                tcmod rotate 256
	        rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
		map textures/bata3dm1/bata3dm1_fan_grate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}